Skip to main content
`Ctrl`+`K`

# STApply

Applies the spectral transformation operator to a vector, for instance \(y=(A - \sigma B)^{-1} Bx\) in the case of the shift-and-invert transformation and generalized eigenproblem.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STApply(ST st,Vec x,Vec y)

Collective

## Input Parameters

- st - the spectral transformation context

- x - input vector

## Output Parameter

- y - output vector

## See Also

ST: Spectral Transformation, `STApplyTranspose()`, `STApplyHermitianTranspose()`

## Level

developer

## Location

src/sys/classes/st/interface/stsolve.c

## Implementations

STApply_Shell() in src/sys/classes/st/impls/shell/shell.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages